- Qt 5.15
- Qt Multimedia
- C++ Classes
- QMediaServiceSupportedDevicesInterface
- Qt 5.15.11 Reference Documentation

# QMediaServiceSupportedDevicesInterface Struct

The QMediaServiceSupportedDevicesInterface class interface identifies the devices supported by a media service plug-in. More...

Header: | #include <QMediaServiceSupportedDevicesInterface>
qmake: | QT += multimedia

This struct is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

- List of all members, including inherited members

## Public Functions

virtual | ~QMediaServiceSupportedDevicesInterface()
virtual QString | deviceDescription(const QByteArray &service, const QByteArray &device) = 0
virtual QList<QByteArray> | devices(const QByteArray &service) const = 0

## Detailed Description

A QMediaServiceProviderPlugin may implement this interface.

## Member Function Documentation

### `[virtual]` QMediaServiceSupportedDevicesInterface::~QMediaServiceSupportedDevicesInterface()

Destroys a media service supported devices interface.

### `[pure virtual]` QString QMediaServiceSupportedDevicesInterface::deviceDescription(const QByteArray &service, const QByteArray &device)

Returns the description of a device available for a service type.

### `[pure virtual]` QList<QByteArray> QMediaServiceSupportedDevicesInterface::devices(const QByteArray &service) const

Returns a list of devices available for a service type.